com.amazon.redshift.ssl

## Class LibPQFactory

- java.lang.Object
- - javax.net.SocketFactory
  - - javax.net.ssl.SSLSocketFactory
    - - com.amazon.redshift.ssl.WrappedFactory
      - - com.amazon.redshift.ssl.LibPQFactory

Direct Known Subclasses:
  LibPQFactory

    public class LibPQFactory
    extends WrappedFactory

Provide an SSLSocketFactory that is compatible with the libpq behaviour.

### Nested Class Summary

Nested Classes
`static class` `LibPQFactory.ConsoleCallbackHandler` A CallbackHandler that reads the password from the console or returns the password given to its constructor.

### Field Summary

### Fields inherited from class com.amazon.redshift.ssl.WrappedFactory

`factory`

### Constructor Summary

Constructors
Constructor and Description
`LibPQFactory(Properties info)`

### Method Summary

Methods
`void` `throwKeyManagerException()` Propagates any exception from `LazyKeyManager`.

### Methods inherited from class com.amazon.redshift.ssl.WrappedFactory

`createSocket, createSocket, createSocket, createSocket, createSocket, getDefaultCipherSuites, getSupportedCipherSuites`

### Methods inherited from class javax.net.ssl.SSLSocketFactory

`getDefault`

### Methods inherited from class javax.net.SocketFactory

`createSocket`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibPQFactory

    public LibPQFactory(Properties info)
                 throws RedshiftException

Parameters:
  `info` - the connection parameters The following parameters are used: sslmode,sslcert,sslkey,sslrootcert,sslhostnameverifier,sslpasswordcallback,sslpassword
Throws:
  `RedshiftException` - if security error appears when initializing factory

### Method Detail

#### throwKeyManagerException

    public void throwKeyManagerException()
                                  throws RedshiftException

Propagates any exception from `LazyKeyManager`.

Throws:
  `RedshiftException` - if there is an exception to propagate